Subject: bug#76792: [PATCH] dired-copy-filename-as-kill to support project relative names

From: Dmitry Gutov <[email-masked]>
Date: Fri, 7 Mar 2025 17:19:19 +0200

On 07/03/2025 09:06, Eli Zaretskii wrote:
> Using 1 as the prefix arg which means files are relative to project
> root seems inconsistent with the meaning of zero argument.

Is it really? We have 0 which means "absolute name" and we have 'C-u' 
(which often translates to 4) which means "only base name".

The project-relative name sits somewhere in the middle (when judging by 
length, for example) so 1 seems fitting.

> So I would
> suggest to use "C-u C-u" for the new meaning.  It is not harder to
> type, and it is more mentally similar to "just C-u".

I could agree to 'C-u C-u' as well, but it does seem like a longer 
sequence requiring two hands (while '1' sits very close to 'w' and would 
be typed with one hand). Semantically as well the new behavior doesn't 
seem like an advanced version of the current 'C-u' behavior.

But if the majority prefers 'C-u C-u', I won't argue.